using skydiveLogs_api.Domain;
using System.Collections.Generic;

namespace skydiveLogs_api.DomainService.Repositories
{
    public interface IStatsRepository<T>
    {
        #region Public Methods

        IEnumerable<T> GetAll(User user);

        int Add(IEnumerable<T> newEntity);

        bool Update(IEnumerable<T> updatedEntity, User user);

        bool Delete(User user);

        #endregion Public Methods
    }
}